%define name    horde-nag
%define version 1.0
%define release 4mdk
%define	rname	nag

%define apachedir       %_sysconfdir/httpd
%define apacheuser      apache
%define apachegroup     apache
%define contentdir      %_var/www
%define hordedir        %{contentdir}/html/horde
%define	moduldir	%hordedir/%rname

Summary:	The Horde task list application.
Name:           %name
Version:        %version
Release:        %release
License:	GPL
Group: 		System/Servers
Source: 	ftp://ftp.horde.org/pub/nag/tarballs/nag-%{version}.tar.gz
Source1:	nag.conf
Patch0:		nag-conf-storage.patch.bz2
URL:		http://www.horde.org/
Packager:	Yves Duret <yves@zarb.org>
BuildArchitectures: noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	horde2 >= 2.1
Prereq: 	/usr/bin/perl

%description
Nag is the Horde task list application. It stores todo items, things
due later this week, etc. It is very similar in functionality to the
Palm ToDo application.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Nag)
please visit http://www.horde.org/.

You must manually configure %name !
Follow %_datadir/doc/%name-%version/INSTALL.mdk

%prep
%setup -q -n nag-%version
%patch0 -p1

%build
cat <<_EOF_ > INSTALL.mdk
If you made an Mandrake standard horde install with MySQL, just make:
mysql --user=root --password horde < %moduldir/scripts/drivers/nag_tasks.sql
mysqladmin --user=root --password reload
and put the horde MySQL password in
%moduldir/config/conf.php
then edit %hordedir/config/registry.php to register %name.
(do not forget to set show to true!).

See "CONFIGURING %name" in %moduldir/docs/INSTALL for further informations.
_EOF_


%install
mkdir -p %buildroot/%{apachedir}/conf
cp -p %SOURCE1 %buildroot/%{apachedir}/conf
mkdir -p %buildroot/%moduldir
cp -pR * %buildroot/%moduldir
rm -f  %buildroot/%moduldir/INSTALL.mdk
cd %buildroot/%moduldir/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
rm -rf %buildroot/

#%pre

%post
perl -pi -e 's/$/ index.php/ if (/DirectoryIndex\s.*index\.html/ && !/index\.php/);' %{apachedir}/conf/httpd.conf
grep -i 'Include.*nag.conf$' %{apachedir}/conf/httpd.conf >/dev/null 2>&1
if [ $? -eq 0 ]; then
	perl -pi -e 's/^#+// if (/Include.*nag.conf$/i);' %{apachedir}/conf/httpd.conf
else
	echo "Include %{apachedir}/conf/nag.conf" >>%{apachedir}/conf/httpd.conf
fi
/sbin/service httpd reload
sleep 1  # settling time vs. installing multiple RPMs at a time
# post-install instructions:
cat <<_EOF_
You must manually configure %name !
Follow %_datadir/doc/%name-%version/INSTALL.mdk
_EOF_

%postun
if [ $1 -eq 0 ]; then
	perl -pi -e 's/^/#/ if (/^Include.*nag.conf$/i);' %{apachedir}/conf/httpd.conf
    	/sbin/service httpd reload
    	sleep 1  # settling time vs. installing multiple RPMs at a time
fi

%files
%defattr(-,root,root)
%doc INSTALL.mdk
# Apache nag.conf file
%config %{apachedir}/conf/nag.conf
# Include top level with %dir so not all files are sucked in
%dir %{moduldir}
# Include top-level files by hand
%{moduldir}/*.php
# Include these dirs so that all files _will_ get sucked in
%{moduldir}/graphics
%{moduldir}/lib
%{moduldir}/locale
%{moduldir}/po
%{moduldir}/scripts
%{moduldir}/templates
# Mark documentation files with %doc and %docdir
%doc %{moduldir}/COPYING
%doc %{moduldir}/README
%docdir %{moduldir}/docs
%{moduldir}/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{moduldir}/config
%defattr(640,root,%{apachegroup})
#%{contentdir}/html/horde/nag/config/.htaccess
%{moduldir}/config/*.dist
%config %{moduldir}/config/*.php

%changelog
* Thu Jan 16 2003 Yves Duret <yves@zarb.org> 1.0-4mdk
- rebuild.

* Wed Nov 27 2002 Yves Duret <yves@zarb.org> 1.0-3mdk
- fix dir name.

* Wed Nov 27 2002 Yves Duret <yves@zarb.org> 1.0-2mdk
- rename as horde-nag, cause nag already exists in main
  Network Administration Guide :(

* Thu Nov 14 2002 Yves Duret <yves@zarb.org> 1.0-1mdk
- first mandrake release.
- added an INSTALL.mdk to explain how to configure nag.
- based on Brent J. Nordquist <bjn@horde.org> SRPM
  and using my common spec file for horde module.

* Tue Jun 25 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 1

